DROP RULE(7)

NAME
DROP RULE - remove a rewrite rule

SYNOPSIS

DROP RULE name [, ...]

  INPUTS

name
    The name of an existing rule to drop.

  OUTPUTS

DROP
    Message returned if successful.

ERROR: Rule or view "name" not found
    This message occurs if the specified rule does not exist.

DESCRIPTION

DROP RULE drops a rule from the specified PostgreSQL rule system. PostgreSQL will immediately cease enforcing it and will purge its definition from the system catalogs.

  NOTES

The DROP RULE statement is a PostgreSQL language extension.

Refer to CREATE RULE for information on how to create rules.

Once a rule is dropped, access to historical information the rule has written may disappear.

USAGE

To drop the rewrite rule newrule:

DROP RULE newrule;

COMPATIBILITY

  SQL92

There is no DROP RULE in SQL92.